﻿/* Generated with Author-it 5.5.264.13693  12/28/2015 10:29:02 AM */
Page=new Array();Page[0]=new Array("Plesk 12.5 is shipped with the following interface languages:","English (United States)","Danish (Denmark)","German (Germany)","Greek (Greece)","Spanish (Spain)","Finnish (Finland)","French (France)","Indonesian (Indonesia)","Italian (Italy)","Japanese (Japan)","Korean (Republic of Korea)","Malay (Malaysia)","Norwegian (Norway)","Dutch (Netherlands)","Polish (Poland)","Portuguese (Brazil)","Portuguese (Portugal)","Russian (Russian Federation)","Swedish (Sweden)","Thai (Thailand)","Tagalog (Philippines)","Turkish (Turkey)","Ukrainian (Ukraine)","Vietnamese (Viet Nam)","Chinese (China)","Chinese (Taiwan)","This guide provides instructions on how to translate Plesk and Customer and Business Manager into a language not supported by Plesk, and apply the translation to a Plesk installation.","To localize Plesk and its components, do the following:","Export the default - en-US - locale sources.","Translate the source files' content into the required language.","Import the translated files into Plesk.","About This Guide and Localization","about.htm");
Page[1]=new Array("In this chapter, we will discuss the details of Plesk localization.","Preparing for Translation","To prepare locale files for translation:","Export the American English (en-US) locale by copying the locale directories and files. The list of these files is provided in the Plesk Locale Files section.","Change the locale code in the copied locale files and directories. To learn what exactly you need to change, see the Changing Locale Code section.","(Optional) Merge the 'new-style' locale files. In other words, convert a large number of locale files into a few for easier translation. The instructions on merging files are provided in the Merging 'New-Style' Locale Files section.","Translating GUI Messages","Plesk locale files are PHP files with simple associative arrays made up of records like","'&lt;localization_key&gt;' =&gt; '&lt;message&gt;',","or","'&lt;localization_key&gt;' =&gt; &quot;&lt;message&gt;&quot;,","where","&lt;localization_key&gt; uniquely identifies a GUI item.","&lt;message&gt; is human-readable text describing a particular GUI item, and appearing as either a GUI element or contextual help text.","To translate the Plesk GUI into a particular language, edit the files by translating all string parts containing messages (&lt;message&gt;), leaving localization keys and string syntax intact. ","The Translating Plesk GUI Messages section provides more information on translating locale strings.","After you have finished editing the locale files, to avoid possible issues caused by broken PHP syntax, we recommend that you validate the new locale files after translation.","To validate the translated files:","Upload the files to a computer with PHP installed.","Run the following command for every uploaded file:","#php -l &lt;file-name&gt;","for example,","#php -l conhelp_pt-BR.php","Importing the New Locale","To import the new locale into Plesk:","If you have merged files for translation, split the merged files before importing the locale into Plesk. Find the instructions on splitting merged files in the Splitting 'New-Style' Locale Files section.","Add the new locale to Plesk by copying the directories containing the new locale files to the corresponding locations on the file system.","Register the new locale in Plesk by running the following commands:","On Linux:","# mysql -uadmin -p`cat /etc/psa/.psa.shadow` psa -e &quot;replace into locales values ('&lt;xx-YY&gt;', 'true')&quot;","On Windows:","&gt;cd /D &quot;%plesk_dir%\\Databases\\MySQL\\bin&quot;","&gt;mysql -P8306 -uadmin -p&lt;Plesk admin password&gt; psa -e &quot;replace into locales values ('&lt;xx-YY&gt;', 'true')&quot;","Where &lt;xx_YY&gt; is the code of your locale.","Localizing Plesk","71176.htm");
Page[2]=new Array("To export the en-US locale sources, make copies of the following directories and the files contained within:","Locale part","Location on Linux","Location on Windows","Controls used on 'new-style' Plesk pages, shared by Server Administration Panel and Customer Panel.","/usr/local/psa/admin/application/default/resources/languages/en-US/","%plesk_dir%\\admin\\application\\default\\resources\\languages\\en-US","Locale of 'old-style' Plesk pages used in both Server Administration Panel and Customer Panel. Includes the file common_cli_messages_en-US.php with help messages for command line utilities  It is highly recommended to not translate this file.","/usr/local/psa/admin/plib/locales/en-US/","%plesk_dir%\\admin\\plib\\locales\\en-US\\","Server Administration Panel locale.","/usr/local/psa/admin/application/admin/resources/languages/en-US/","%plesk_dir%\\admin\\application\\admin\\resources\\languages\\en-US","Customer Panel locale.","/usr/local/psa/admin/application/smb/resources/languages/en-US/","%plesk_dir%\\admin\\application\\smb\\resources\\languages\\en-US","Plesk Locale Files","66362.htm");
Page[3]=new Array("The code of the default American English locale is en-US (en_US in some files). You need to change it to that indicating your language and country according to ISO standards. To find the required locale code, see the Appendix. Locale Codes section.","Changing the Locale Code in File Names","Change the locale code in names of the following directories, and the names of all files contained within:","On Linux:","/usr/local/psa/admin/application/admin/resources/languages/en-US/","/usr/local/psa/admin/application/default/resources/languages/en-US/","/usr/local/psa/admin/plib/locales/en-US/","/usr/local/psa/admin/application/smb/resources/languages/en-US/","On Windows:","%plesk_dir%\\admin\\application\\admin\\resources\\languages\\en-US","%plesk_dir%\\admin\\application\\default\\resources\\languages\\en-US","%plesk_dir%\\admin\\plib\\locales\\en-US\\","%plesk_dir%\\admin\\application\\smb\\resources\\languages\\en-US","You also need to change the locale code in the following entries found in the /usr/local/psa/admin/plib/locales/en-US/messages_en-US.php file (on Linux) or the %plesk_dir%\\admin\\plib\\locales\\en-US\\messages_en-US.php (on Windows):","@include('devmessages_en-US.php');","@include('common_messages_en-US.php');","@include('common_cli_messages_en-US.php');","@include('conhelp_en-US.php');","Changing the Locale Code","66363.htm");
Page[4]=new Array("Locale for the 'new-style' Plesk pages is made up of numerous files organized into a complex hierarchy. Handling those multiple files and preserving the hierarchy during the translation can be difficult. You can make the task easier by merging the individual 'new-style' locale files into a few larger ones before the translation. After you have translated the few bigger files, split them back before importing the new locale into Plesk.","The contents of the following directories can be merged:","/usr/local/psa/admin/application/default/resources/languages/en-US/","Controls used on the 'new-style' Plesk pages, shared by Server Administration Panel and Customer Panel.","/usr/local/psa/admin/application/admin/resources/languages/en-US/ ","Server Administration Panel locale.","/usr/local/psa/admin/application/smb/resources/languages/en-US/","Customer Panel locale.","You can join the locale files within each of these directories into a separate big locale file.","To join the 'new-style' locale files:","Run the following command for each of the directories:","php &lt;plesk-installation-dir&gt;/admin/smb/application/utils/locale/smb2plesk.php -d &lt;target-directory&gt; [-o &lt;output-directory&gt;]","where","&lt;plesk-installation-dir&gt; is the Plesk installation directory (by default, that's /usr/local/psa on Linux and &quot;C:\\Program Files\\Parallels\\Plesk&quot; on Windows).","&lt;target-directory&gt; is the directory whose contents are to be merged.","&lt;output-directory&gt; is the directory where the resulting file will be created. If not specified, the current directory will be used.","Note: The file name cannot be specified and is always en-US.php, so be sure to rename it before running the utility to merge the different directory. Otherwise, the file will be overwritten.","For example, to merge the files in all 3 directories, and have the resulting files in the /tmp directory under the names shared.php, admin-panel.php, and control-panel.php respectively, run the following commands:","# cd /usr/local/psa/admin","# php smb/application/utils/locale/smb2plesk.php -d application/default/resources/languages/en-US/ -o /tmp","# mv -T /tmp/en-US.php /tmp/shared.php","# php smb/application/utils/locale/smb2plesk.php -d application/admin/resources/languages/en-US/ -o /tmp","# mv -T /tmp/en-US.php /tmp/admin-panel.php","# php smb/application/utils/locale/smb2plesk.php -d application/smb/resources/languages/en-US/ -o /tmp","# mv -T /tmp/en-US.php /tmp/control-panel.php","Note: The utility output may contain the following text: &quot;PHP Notice:  Undefined variable: content in /usr/local/psa/admin/smb/application/utils/locale/smb2plesk.php on line 170&quot;. It can be ignored.","After you have translated the resulting files, you will need to split them before importing the locale into Plesk. See the Splitting 'New-Style' Locale Files section for instructions.","Merging the 'New-Style' Locale Files","66366.htm");
Page[5]=new Array("We recommend using a text editor which supports highlighting syntax for editing the locale files. Using such an editor makes translating more comfortable, and also helps you detect accidental changes to the syntax of the files.","Note: Use an editor that supports editing texts in UTF-8.","Important: Do not change the encoding of the files: It must be UTF-8. Otherwise, the messages you have translated may be displayed incorrectly.","There is a number of recommendations that might be useful when translating Plesk locale files, specifically concerning PHP array syntax, message variables, HTML entities, and special characters.","PHP array syntax","# It is important that commas at the end of each string are not removed. Otherwise, the PHP array will be corrupted, and Plesk GUI will display localization keys instead of the translated messages.","# Pay attention to the usage of quotation marks. Follow these guidelines to avoid making a mistake:","1. If the message text does not contain any quotes, enclose the text with either single or double quotes.","2. If the message text contains at least one single quote or apostrophe:","precede each quote with a backslash:","'b_add_ip_for_clients' =&gt; 'Add IP address to client\\'s pools.',","or","enclose the message in double quotes:","'b_add_ip_for_clients' =&gt; &quot;Add IP address to client's pools.&quot;,","3. If a message text contains at least one double quote:","precede each quote with a backslash:","'odbc__mysql_option' =&gt; &quot;Options that specify how MyODBC should work. See &lt;a href=\\&quot;http://dev.mysql.com/doc/mysql/en/Connection_parameters.html\\&quot;&gt;http://dev.mysql.com/doc/mysql/en/Connection_parameters.html&lt;/a&gt;&quot;,","or","enclose the message in single quotes:","'odbc__mysql_option' =&gt; 'Options that specify how MyODBC should work. See &lt;a href=&quot;http://dev.mysql.com/doc/mysql/en/Connection_parameters.html&quot;&gt;http://dev.mysql.com/doc/mysql/en/Connection_parameters.html&lt;/a&gt;',","Variables","Pay special attention to the messages that contain variables:","Leave variables as they are, do not translate them.","Translate the running text of a message carefully, taking into account the meaning of the variable. Think of how the message will look in the Plesk GUI once the actual value has been substituted for the variable.","The following types of variables are used in the locale files:","%%&lt;variable-name&gt;%%","For example, the message string 'The IP address %%ip_address%% was assigned to %%client_name%%.' may look like this in the Plesk GUI once the variables have been replaced:","The IP address 192.0.2.68 was assigned to John Doe.","Variables can substituted with other messages, as well as values taken from the Plesk operation context. For example:","    'secureSettingsDescription' =&gt; 'If you want the provided hosting to be the most secure, %%link%%. Note that some of the permissions, if granted, let subscribers change these settings. %%helpLink%%.',","    'secureSettingsLink' =&gt; 'apply secure settings preset',","    'secureSettingsHelpLink' =&gt; 'Learn about secure hosting setting',","Here, variables %%link%% and %%helpLink%% are substituted with the messages defined by the secureSettingsLink and secureSettingsHelpLink variables, respectively. So, the resulting message in Plesk looks as follows:","If you want the provided hosting to be the most secure, apply secure settings preset. Note that some of the permissions, if granted, let subscribers change these settings. Learn about secure hosting setting.","%&lt;number&gt;","For example, the message string 'The domain resolves to another IP address (%1). Please correct DNS settings.' may look like this in the Plesk GUI once the variables have been replaced: ","The domain resolves to another IP address (192.0.2.15). Please correct DNS settings.","Such variables may replace almost anything. In each string, the meaning of a particular variable of such type depends on the context. The value of the variable is dynamically set by Plesk when it displays the message in GUI.","HTML Entities and Special Characters","Do not translate the following items:","HTML entities","for example, &amp;lt;, &amp;gt; used for defining &quot;&lt;&quot; and &quot;&gt;&quot; symbols.","special characters","for example, \\n used for defining a new line.","Translating Plesk GUI Messages","66470.htm");
Page[6]=new Array("If you have merged locale files for more comfortable translation, you need to split the merged files before importing the locale into Plesk.","To split your translated files:","Run the following command for each of the files:","php &lt;plesk-installation-dir&gt;/admin/smb/application/utils/locale/plesk2smb.php -f &lt;localeFile&gt; -o &lt;target-directory&gt; -l &lt;locale-code&gt;","where","&lt;plesk-installation-dir&gt; is the Plesk installation directory (by default, that's /usr/local/psa on Linux and &quot;C:\\Program Files\\Parallels\\Plesk&quot; on Windows).","&lt;localeFile&gt; is the locale file that had previously been merged and needs to be split.","&lt;target-directory&gt; is the name of the directory, in which another directory, one containing the individual locale files will be created. If not specified, the current directory will be used.","&lt;locale-code&gt; is the locale code that will be used as the name of the directory containing the individual locale files. Use the xx-YY format, to find the required locale code, see the Appendix. Locale Codes section).","For example, to split the files /tmp/shared.php, /tmp/admin-panel.php, and /tmp/control-panel.php containing the locale translated into Brazilian Portuguese (pt-BR), and have the resulting files placed into the Plesk locale file structure, run the following commands:","# cd /usr/local/psa/admin/","# php smb/application/utils/locale/plesk2smb.php -f /tmp/shared.php -o application/default/resources/languages -l pt-BR","# php smb/application/utils/locale/plesk2smb.php -f /tmp/admin-panel.php -o application/admin/resources/languages -l pt-BR","# php smb/application/utils/locale/plesk2smb.php -f /tmp/control-panel.php -o application/smb/resources/languages -l pt-BR","Splitting the 'New-Style' Locale Files","66475.htm");
Page[7]=new Array("Place your new locale files in the corresponding directories. For example, the following directories will be used for the Brazilian Portuguese locale on a Linux server:","/usr/local/psa/admin/application/default/resources/languages/pt-BR","/usr/local/psa/admin/plib/locales/pt-BR/   ","/usr/local/psa/admin/application/admin/resources/languages/pt-BR/","/usr/local/psa/admin/application/smb/resources/languages/pt-BR/","Importing the New Locale into Plesk","66492.htm");
Page[8]=new Array("In this chapter, we will discuss the details of Business Manager localization.","Preparing for Translation","Before you start translating Business Manager to a certain language, export the American English (en-US) locale by copying the file en.php. This file is located in the following directory:","On Linux: /opt/plesk-billing/lib/lib-billing/include/translations/en.php","On Windows: %plesk_dir%\\billing\\lib\\lib-billing\\include\\translations","Then change the name of your copy to the two-letter code of your language. To find the code of a certain language, see the Appendix: Locale codes.","Translating GUI Messages","Business Manager locale files are PHP files with simple associative arrays made up of records like","&quot;&lt;localization_key&gt;&quot; =&gt; &quot;&lt;message&gt;&quot;,","where","&lt;localization_key&gt; uniquely identifies a GUI item.","&lt;message&gt; is the message corresponding to the GUI item, appearing as either a GUI or a contextual help text.","The localization task is to translate all string parts containing messages (&lt;message&gt;), leaving localization keys and string syntax as they are. ","Note: locale messages can contain HTML source text, be sure to preserve the HTML syntax during the translation, too.","The section Translating Plesk GUI Messages provides more information on translating locale strings.","After you complete editing locale files, we recommend that you validate the new locale file after translation  to avoid possible problems caused by breaking the PHP syntax.","To validate the translated files:","Upload the files to the machine with PHP installed.","Run the following command:","#php -l &lt;file-name&gt;","for example,","#php -l conhelp_pt-BR.php","Importing New Locale","To import the new locale to Business Manager:","Upload the new locale file to the Business Manager locales directory:","On Linux: /opt/plesk-billing/lib/lib-billing/include/translations/","On Windows: %plesk_dir%\\billing\\lib\\lib-billing\\include\\translations","Run the following command on the Plesk server:","On Linux:","# usr/share/plesk-billing/cache --clear --type locale","On Windows: ","&gt; C:\\Program Files\\Parallels\\Plesk\\bin\\billing-cache.exe --clear --type locale","Changing Default Locales","In addition to creating new locales, you can change existing GUI messages in Business Manager, for example, if you find default names or descriptions not suitable for your business. ","To change an existing Business Manager locale:","Create a file with the name &lt;locale&gt;.custom.php in the directory with the default locale you want to change. Here &lt;locale&gt; is the abbreviation used for the locale, for example, en for the English locale.","Note: If you correct keys directly in the corresponding locale file &lt;locale&gt;.php, your changes may be lost since Business Manager completely overwrites these files during upgrades.","Add the following lines to the file:","&lt;?php","$translation_keys = array(","Copy the keys you want to change to this file and specify custom values for them.","Add the following line to the end of the file:",");","Save the file.","Run the following command on the Plesk server:","On Linux: # usr/share/plesk-billing/cache --clear ","On Windows: &gt; C:\\Program Files\\Parallels\\Plesk\\bin\\billing-cache.exe --clear","Localizing Customer and Business Manager","71178.htm");
Page[9]=new Array("Language - Country/Region","Code","Language - Country/Region","Code","Afrikaans","af","Icelandic","is","Afrikaans - South Africa","af-ZA","Icelandic - Iceland","is-IS","Albanian","sq","Indonesian","id","Albanian - Albania","sq-AL","Indonesian - Indonesia","id-ID","Arabic","ar","Italian","it","Arabic - Algeria","ar-DZ","Italian - Italy","it-IT","Arabic &#8211; Bahrain","ar-BH","Italian - Switzerland","it-CH","Arabic &#8211; Egypt","ar-EG","Japanese","ja","Arabic &#8211; Iraq","ar-IQ","Japanese - Japan","ja-JP","Arabic &#8211; Jordan","ar-JO","Kannada","kn","Arabic &#8211; Kuwait","ar-KW","Kannada - India","kn-IN","Arabic &#8211; Lebanon","ar-LB","Kazakh","kk","Arabic &#8211; Libya","ar-LY","Kazakh - Kazakhstan","kk-KZ","Arabic - Morocco","ar-MA","Korean","ko","Arabic - Oman","ar-OM","Korean - Korea","ko-KR","Arabic - Qatar","ar-QA","Kyrgyz","ky","Arabic - Saudi Arabia","ar-SA","Kyrgyz - Kyrgyzstan","ky-KG","Arabic - Syria","ar-SY","Latvian","lv","Arabic - Tunisia","ar-TN","Latvian - Latvia","lv-LV","Arabic - United Arab Emirates","ar-AE","Lithuanian","lt","Arabic - Yemen","ar-YE","Lithuanian - Lithuania","lt-LT","Armenian","hy","Macedonian","mk","Armenian - Armenia","hy-AM","Macedonian - Former Yugoslav Republic of Macedonia","mk-MK","Azeri","az","Malay","ms","Azeri - Azerbaijan","az-AZ","Malay - Brunei","ms-BN","Basque","eu","Malay - Malaysia","ms-MY","Basque - Basque","eu-ES","Marathi","mr","Byelorussian","be","Marathi - India","mr-IN","Byelorussian - Byelorussia","be-BY","Mongolian","mn","Bulgarian","bg","Mongolian - Mongolia","mn-MN","Bulgarian - Bulgaria","bg-BG","Norwegian","no","Catalan","ca","Norwegian (Bokmål) - Norway","nb-NO","Catalan - Spain","ca-ES","Norwegian (Nynorsk) - Norway","nn-NO","Chinese","zh","Polish","pl","Chinese - Hong Kong SAR","zh-HK","Polish - Poland","pl-PL","Chinese - Macao SAR","zh-MO","Portuguese","pt","Chinese - China (Simplified Chinese)","zh-CN","Portuguese - Brazil","pt-BR","Chinese - Singapore","zh-SG","Portuguese - Portugal","pt-PT","Chinese - Taiwan (Traditional Chinese)","zh-TW","Punjabi","pa","Croatian","hr","Punjabi - India","pa-IN","Croatian - Croatia","hr-HR","Romanian","ro","Czech","cs","Romanian - Romania","ro-RO","Czech - Czech Republic","cs-CZ","Russian","ru","Danish","da","Russian - Russia","ru-RU","Danish - Denmark","da-DK","Sanskrit","sa","Dutch","nl","Sanskrit - India","sa-IN","Dutch - Belgium","nl-BE","Serbian","sr","Dutch - The Netherlands","nl-NL","Serbian - Serbia","sr-SP","English","en","Slovak","sk","English - Australia","en-AU","Slovak - Slovakia","sk-SK","English - Belize","en-BZ","Slovenian","sl","English - Canada","en-CA","Slovenian - Slovenia","sl-SI","English - Caribbean","en-CB","Spanish","es","English - Ireland","en-IE","Spanish - Argentina","es-AR","English - Jamaica","en-JM","Spanish - Bolivia","es-BO","English - New Zealand","en-NZ","Spanish - Chile","es-CL","English - Philippines","en-PH","Spanish - Colombia","es-CO","English - South Africa","en-ZA","Spanish - Costa Rica","es-CR","English - Trinidad and Tobago","en-TT","Spanish - Dominican Republic","es-DO","English - United Kingdom","en-GB","Spanish - Ecuador","es-EC","English - United States","en-US","Spanish - El Salvador","es-SV","English - Zimbabwe","en-ZW","Spanish - Guatemala","es-GT","Estonian","et","Spanish - Honduras","es-HN","Estonian - Estonia","et-EE","Spanish - Mexico","es-MX","Faroese","fo","Spanish - Nicaragua","es-NI","Faroese - Faroe Islands","fo-FO","Spanish - Panama","es-PA","Farsi","fa","Spanish - Paraguay","es-PY","Farsi - Iran","fa-IR","Spanish - Peru","es-PE","Finnish","fi","Spanish - Puerto Rico","es-PR","Finnish - Finland","fi-FI","Spanish - Spain","es-ES","French","fr","Spanish - Uruguay","es-UY","French - Belgium","fr-BE","Spanish - Venezuela","es-VE","French - Canada","fr-CA","Swahili","sw","French - France","fr-FR","Swahili - Kenya","sw-KE","French - Luxembourg","fr-LU","Swedish","sv","French - Monaco","fr-MC","Swedish - Finland","sv-FI","French - Switzerland","fr-CH","Swedish - Sweden","sv-SE","Galician","gl","Tamil","ta","Galician - Galician","gl-ES","Tamil - India","ta-IN","Georgian","ka","Tatar","tt","Georgian - Georgia","ka-GE","Tatar - Russia","tt-RU","German","de","Telugu","te","German - Austria","de-AT","Telugu - India","te-IN","German - Germany","de-DE","Thai","th","German - Liechtenstein","de-LI","Thai - Thailand","th-TH","German - Luxembourg","de-LU","Turkish","tr","German - Switzerland","de-CH","Turkish - Turkey","tr-TR","Greek","el","Ukrainian","uk","Greek - Greece","el-GR","Ukrainian - Ukraine","uk-UA","Gujarati","gu","Urdu","ur","Gujarati - India","gu-IN","Urdu - Pakistan","ur-PK","Hebrew","he","Uzbek","uz","Hebrew - Israel","he-IL","Uzbek - Uzbekistan","uz-UZ","Hindi","hi","Vietnamese","vi","Hindi - India","hi-IN","Vietnamese - Vietnam","vi-VN","Hungarian","hu","Hungarian - Hungary","hu-HU","&nbsp;","Appendix. Locale Codes","64474.htm");
var PageCount=10;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}//